/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.sling.starter.access.models;

import org.apache.jackrabbit.oak.spi.security.authorization.restriction.RestrictionDefinition;
import org.jetbrains.annotations.NotNull;
import org.apache.jackrabbit.oak.api.Type;

public class RestrictionDefinitionInfo implements RestrictionDefinition {
    private String displayName;
    private RestrictionDefinition rd;

    public RestrictionDefinitionInfo(String displayName, RestrictionDefinition rd) {
        this.displayName = displayName;
        this.rd = rd;
    }

    public String getDisplayName() {
        return displayName;
    }

    @Override
    public @NotNull String getName() {
        return rd.getName();
    }

    @Override
    public @NotNull Type<?> getRequiredType() {
        return rd.getRequiredType();
    }

    @Override
    public boolean isMandatory() {
        return rd.isMandatory();
    }

}
